#include <string>

#include "bug_box.hpp"
#include "global.hpp"
#include "resource.hpp"



BOOL CALLBACK bug_dlg_proc(HWND hwnd, UINT msg, WPARAM wparam,
    LPARAM lparam)
{
    switch(msg){

        case WM_INITDIALOG:
        {
            std::string buffer;
            HGLOBAL hres = LoadResource (global::hinstance,
                FindResource (global::hinstance, "IDT_BUGS", "TEXT"));

            char* p=(char*)LockResource(hres);
            buffer.assign(p, strchr(p, '%'));
            FreeResource(hres);
            SetWindowText(GetDlgItem(hwnd, IDC_BUG_EDIT), buffer.c_str());
            return true;
        }
        case WM_CTLCOLORSTATIC:
        {
            if(lparam==(LPARAM)GetDlgItem(hwnd, IDC_BUG_EDIT)){
                return (BOOL)GetStockObject(WHITE_BRUSH);
            }else return false;
        }

        case WM_COMMAND:
            switch(LOWORD(wparam)){
                case IDOK:
                    EndDialog(hwnd, 0);
                    return true;
            }
            return true;

    }

    return false;
}

namespace bug_box{

void show(HWND hwnd)
{
    DialogBox(global::hinstance, "IDD_BUGS", hwnd, bug_dlg_proc);
}

}
